%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Name:           perl-String-Ediff
Version:        0.04
Release:        1
Epoch:          0
Summary:        Produce common sub-string indices for two strings

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/String-Ediff/
Source0:    http://www.cpan.org/authors/id/B/BO/BOXZOU/String-Ediff-0.04.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
String::Ediff is a Perl module for producing common sub-string indices
for two strings.  It uses suffix tree algorithm to determine the
common substrings.


%prep
%setup -q -n String-Ediff-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/man3/*.3*


%changelog
* Fri Feb 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.04-1
- 0.04.
- Add perl(:MODULE_COMPAT_*) dependency, install with pure_install.

* Sun Feb  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.4
- Reduce number of owned directories.

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.3
- Spec cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.2
- Install into vendor dirs.

* Fri Aug  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.03-0.fdr.1
- Update to 0.03.

* Fri Aug  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.02-0.fdr.1
- Update to 0.02.

* Tue Jul 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.01-0.fdr.2
- Use fedora-rpm-helper.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.01-0.fdr.1
- First release.
